Upgrade from 2.0 to 2.1.4 -

Having trouble installing serendipity?
Post Reply
hdiaz36
Regular
Posts: 57
Joined: Wed Feb 21, 2007 7:57 pm
Location: China (Yes, really)

Upgrade from 2.0 to 2.1.4 -

Post by hdiaz36 » Mon Jan 28, 2019 11:55 am

I tried to upgrade from 2.0 to 2.1.4

I overwrote the 2.1.4 files to my server, and then went to the admin panel where it said:

You are seeing this message because you have just installed Serendipity 2.1.4, but have not yet upgraded your database installation to fit this version

Verify Installation Integrity and Permissions all showed no errors - everything was green.

I'll just copy and paste everything else here that was on that page:

Version specific tasks:
2.0.2 - Removal of obsolete and still resting files in 2.0
The following old dead files will be removed from your system.
serendipity_editor.js, serendipity_define.js.php, bundled-libs/dragdrop.js, bundled-libs/imgedit.js, bundled-libs/Smarty/libs/sysplugins/smarty_config_source.php, bundled-libs/Smarty/libs/sysplugins/smarty_internal_config.php, bundled-libs/YahooUI/treeview/license.txt, bundled-libs/YahooUI/treeview/treeview.js, bundled-libs/YahooUI/treeview/YAHOO.js, deployment/serendipity_editor.js, deployment/serendipity_define.js.php, docs/CHANGED_FILES, docs/INSTALL_EMBEDED, docs/INSTALL_SHARED, docs/UPGRADE, docs/upgrade.sh, htmlarea/ChangeLog, htmlarea/dialog.js, htmlarea/release-notes.html, include/plugin_internal.inc.php, templates/HOWTO
2.0.2 - Removal of obsolete and dead directories
The following old dead directories will be removed from your system.
/home/daxueyin/public_html/hugo/htmlarea/plugins/ImageManage, /home/daxueyin/public_html/hugo/htmlarea/plugins, /home/daxueyin/public_html/hugo/bundled-libs/YahooUI/treeview, /home/daxueyin/public_html/hugo/bundled-libs/YahooUI
2.0.2 - Rewrite path of big feedicon
Rewrite path of the big feedicon to not include the template path, since that path is not automatically detected
2.1.0 - Removal of old dead files in v.2.0.2
The following old dead files will be removed from your system.
templates/default/admin/media_showitem.tpl, templates/2k11/admin/media_showitem.tpl
2.1.2-beta1 - Update .htaccess file
Adds a new "documentation.*.html" rewrite rule exception to allow calling plugin documentation URLs.
Do you wish me to perform the above tasks?

After clicking "Yes, please do so" I get the following message:

"you website" is currently unable to handle this request.
HTTP ERROR 500

Any help with this?

Thanks, and sorry to be such a pain in the neck. :-(
Image

User avatar
onli
Regular
Posts: 2264
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: Upgrade from 2.0 to 2.1.4 -

Post by onli » Tue Jan 29, 2019 7:00 pm

500 errors can mean many different things. You will need to look into the webserver log and check which error happens exactly.

Post Reply